# VLSI SAPD Documentation

Presentation | AGDS | CIF | DTR | OPENCHAMS | SPICE | Links & Contact

Public Member Functions
Net::Connection Class Reference

## Public Member Functions

| Connection (const std::string &instanceName, const std::string &connectorName)
| creates a new connection. More...
const std::string & | getConnectorName () const
| returns the name of the connector.
const std::string & | getInstanceName () const
| returns the name of the instance.

## Detailed Description

This class describe a Connection in a Net. A connection is a couple (instanceName, connectorName) used to represent all the connectors linked to a net.

## Constructor & Destructor Documentation

## ◆ Connection()

Connection | ( | const std::string & | instanceName,
|  | const std::string & | connectorName
| ) |  |

creates a new connection.

Parameters

  instanceName | the name of the instance.
  connectorName | the name of the instance's connector.